Subject: Alternate msg viewer

From: [email-masked] (James H. Thompson)
Date: 30 Nov 1994 01:15:32 GMT

I'm attempting to use an alternate message viewer with PINE.

I wrote a simple perl program that takes a msg on 
stdin and encodes any URL's it finds into HTML and
fires up LYNX on the resulting file.

I tried launching this using both the PINE | command and
the PINE user defined printer.  Both of them seem to take
the output of lynx and show it with the built-in PINE viewer.
Is there some way to set it up so lynx actually gets control
of the screen?

Here is the program I was used:

#!/usr/bin/perl
$out_file = "jview_tmp.html";

open (JV, ">$out_file");

print JV "<html><body></pre>\n"; 

while (<>) {
	chop if m/\n$/;
	s/(http:\S+)/<a href=\"\1\">\1<\/a>/;
	s/(ftp:\S+)/<a href=\"\1\">\1<\/a>/;
	print JV $_, "\n";
}

print JV "</pre></body></html>\n"; 
close JV;

system ("lynx $out_file");

--
Jim
[email-masked]